# keyspec.h File Reference

`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/db.h>`
`#include <gwenhywfar/inherit.h>`
`#include <gwenhywfar/misc.h>`
`#include <gwenhywfar/list2.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Typedefs

typedef GWEN_KEYSPEC | GWEN_KEYSPEC

## Functions

GWENHYWFAR_API void | GWEN_KeySpec_Add (GWEN_KEYSPEC *ks, GWEN_KEYSPEC **head)
GWENHYWFAR_API void | GWEN_KeySpec_Clear (GWEN_KEYSPEC **head)
GWENHYWFAR_API const GWEN_KEYSPEC * | GWEN_KeySpec_ConstNext (const GWEN_KEYSPEC *ks)
GWENHYWFAR_API void | GWEN_KeySpec_Del (GWEN_KEYSPEC *ks, GWEN_KEYSPEC **head)
GWENHYWFAR_API void | GWEN_KeySpec_Dump (const GWEN_KEYSPEC *ks, FILE *f, unsigned int indent)
GWENHYWFAR_API GWEN_KEYSPEC * | GWEN_KeySpec_dup (const GWEN_KEYSPEC *ks)
GWENHYWFAR_API void | GWEN_KeySpec_free (GWEN_KEYSPEC *ks)
int | GWEN_KeySpec_FromDb (GWEN_KEYSPEC *ks, GWEN_DB_NODE *n)
GWENHYWFAR_API const char * | GWEN_KeySpec_GetKeyName (const GWEN_KEYSPEC *ks)
GWENHYWFAR_API const char * | GWEN_KeySpec_GetKeyType (const GWEN_KEYSPEC *ks)
GWENHYWFAR_API unsigned int | GWEN_KeySpec_GetNumber (const GWEN_KEYSPEC *ks)
GWENHYWFAR_API const char * | GWEN_KeySpec_GetOwner (const GWEN_KEYSPEC *ks)
GWENHYWFAR_API int | GWEN_KeySpec_GetStatus (const GWEN_KEYSPEC *ks)
GWENHYWFAR_API unsigned int | GWEN_KeySpec_GetVersion (const GWEN_KEYSPEC *ks)
void | GWEN_KeySpec_List2_freeAll (GWEN_KEYSPEC_LIST2 *ksl)
GWENHYWFAR_API GWEN_KEYSPEC * | GWEN_KeySpec_new ()
GWENHYWFAR_API GWEN_KEYSPEC * | GWEN_KeySpec_Next (GWEN_KEYSPEC *ks)
GWENHYWFAR_API void | GWEN_KeySpec_SetKeyName (GWEN_KEYSPEC *ks, const char *s)
GWENHYWFAR_API void | GWEN_KeySpec_SetKeyType (GWEN_KEYSPEC *ks, const char *s)
GWENHYWFAR_API void | GWEN_KeySpec_SetNumber (GWEN_KEYSPEC *ks, unsigned int i)
GWENHYWFAR_API void | GWEN_KeySpec_SetOwner (GWEN_KEYSPEC *ks, const char *s)
GWENHYWFAR_API void | GWEN_KeySpec_SetStatus (GWEN_KEYSPEC *ks, int i)
GWENHYWFAR_API void | GWEN_KeySpec_SetVersion (GWEN_KEYSPEC *ks, unsigned int i)
int | GWEN_KeySpec_ToDb (const GWEN_KEYSPEC *ks, GWEN_DB_NODE *n)

## Typedef Documentation

typedef struct GWEN_KEYSPEC GWEN_KEYSPEC

## Function Documentation

GWENHYWFAR_API void GWEN_KeySpec_Add | ( | GWEN_KEYSPEC * | ks,
|  | GWEN_KEYSPEC ** | head
| ) |

GWENHYWFAR_API void GWEN_KeySpec_Clear | ( | GWEN_KEYSPEC ** | head | ) |

GWENHYWFAR_API const GWEN_KEYSPEC* GWEN_KeySpec_ConstNext | ( | const GWEN_KEYSPEC * | ks | ) |

GWENHYWFAR_API void GWEN_KeySpec_Del | ( | GWEN_KEYSPEC * | ks,
|  | GWEN_KEYSPEC ** | head
| ) |

GWENHYWFAR_API void GWEN_KeySpec_Dump | ( | const GWEN_KEYSPEC * | ks,
|  | FILE * | f,
|  | unsigned int | indent
| ) |

GWENHYWFAR_API GWEN_KEYSPEC* GWEN_KeySpec_dup | ( | const GWEN_KEYSPEC * | ks | ) |

GWENHYWFAR_API void GWEN_KeySpec_free | ( | GWEN_KEYSPEC * | ks | ) |

int GWEN_KeySpec_FromDb | ( | GWEN_KEYSPEC * | ks,
|  | GWEN_DB_NODE * | n
| ) |

GWENHYWFAR_API const char* GWEN_KeySpec_GetKeyName | ( | const GWEN_KEYSPEC * | ks | ) |

GWENHYWFAR_API const char* GWEN_KeySpec_GetKeyType | ( | const GWEN_KEYSPEC * | ks | ) |

GWENHYWFAR_API unsigned int GWEN_KeySpec_GetNumber | ( | const GWEN_KEYSPEC * | ks | ) |

GWENHYWFAR_API const char* GWEN_KeySpec_GetOwner | ( | const GWEN_KEYSPEC * | ks | ) |

GWENHYWFAR_API int GWEN_KeySpec_GetStatus | ( | const GWEN_KEYSPEC * | ks | ) |

| Returns the status of the key. This property is not used by gwen, but it might be used by applications. Therefore the values of this property are defined by the application which uses it.

GWENHYWFAR_API unsigned int GWEN_KeySpec_GetVersion | ( | const GWEN_KEYSPEC * | ks | ) |

void GWEN_KeySpec_List2_freeAll | ( | GWEN_KEYSPEC_LIST2 * | ksl | ) |

GWENHYWFAR_API GWEN_KEYSPEC* GWEN_KeySpec_new | ( |  | ) |

GWENHYWFAR_API GWEN_KEYSPEC* GWEN_KeySpec_Next | ( | GWEN_KEYSPEC * | ks | ) |

GWENHYWFAR_API void GWEN_KeySpec_SetKeyName | ( | GWEN_KEYSPEC * | ks,
|  | const char * | s
| ) |

GWENHYWFAR_API void GWEN_KeySpec_SetKeyType | ( | GWEN_KEYSPEC * | ks,
|  | const char * | s
| ) |

GWENHYWFAR_API void GWEN_KeySpec_SetNumber | ( | GWEN_KEYSPEC * | ks,
|  | unsigned int | i
| ) |

GWENHYWFAR_API void GWEN_KeySpec_SetOwner | ( | GWEN_KEYSPEC * | ks,
|  | const char * | s
| ) |

GWENHYWFAR_API void GWEN_KeySpec_SetStatus | ( | GWEN_KEYSPEC * | ks,
|  | int | i
| ) |

GWENHYWFAR_API void GWEN_KeySpec_SetVersion | ( | GWEN_KEYSPEC * | ks,
|  | unsigned int | i
| ) |

int GWEN_KeySpec_ToDb | ( | const GWEN_KEYSPEC * | ks,
|  | GWEN_DB_NODE * | n
| ) |